//
//  main.m
//  Volumenrechner
//
//  Created by Holger Hinzberg on 14.01.12.
//  Copyright (c) 2012 Cocoa-Coding. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "GeometryCalculator.h"

int main (int argc, const char * argv[])
{

    @autoreleasepool {
        
        // Ein Objekt erzeugen und initialisieren
        GeometryCalculator *calculator 
        = [[GeometryCalculator alloc] init];
        
        [calculator setWidth:12.5];
        [calculator setLength:6.75];
        [calculator setHeight:8.98];
        
        // Die Grundfläche berechnen und ausgeben
        double area = [calculator calculateRectangleArea];
        NSLog(@"Fläche: %.2f",area);    
        
        // Das Volumen berechnen und ausgeben
        double volume = 
        [calculator calculateCuboidVolume];
        NSLog(@"Volumen: %.2f",volume);
        
        NSLog(@"%@",calculator);        
        
    }
    return 0;
}

